{block title}
    Customer
{/block}
{block header}
    Zákazníci
{/block}

{block content}

<section>
    <div class="page-wrapper">
        <div class="container mt-4">
            <div class="content">
                <h2>Seznam zákazníků <small>({$customersCount})</small></h2>
                <table class="table w-100 mt-4">
                    <thead>
                        <tr>
                            <td>Id</td>
                            <td>Jméno</td>
                            <td>Email</td>
                            <td>Utraceno poslední měsíc</td>
                        </tr>
                    </thead>
                    <tbody>
                    {var $timeMinusMonth = new \DateTime('first day of this month')}
                    {foreach $customers as $customer}
                        <tr>
                            <td>{$customer->getId()}</td>
                            <td>{$customer->getName()}</td>
                            <td>{$customer->getEmail()}</td>
                            <td>
                                {foreach $customer->getCurrencyPaidValuePair($timeMinusMonth->setTime(0,0)) as $currecy => $paid}
                                    {$paid|number:2:',',' '} {$currecy}<br>
                                {/foreach}
                            </td>
                        </tr>
                    {/foreach}
                    </tbody>
                </table>

                <nav aria-label="Page navigation example" class="mt-4">
                    <ul class="pagination justify-content-center">
                        {var $numberOfPages = round($customersCount / $resultsPerPage)}

                        <li class="page-item {if $offset == 0}disabled{/if}"><a class="page-link" n:href="this 0">0</a></li>
                        {if $offset > 3}
                        <li class="page-item disabled"><a class="page-link" href="#" tabindex="-1">...</a></li>
                        {/if}

                        {for $index = -2; $index < 3; $index++}
                            {var $page = $index+$offset}
                            {if $page > 0 && $page < $numberOfPages-1}
                                <li class="page-item {if $offset == $page}disabled{/if}"><a class="page-link" n:href="this $page">{$page}</a></li>
                            {/if}
                        {/for}

                        {if $offset < $numberOfPages-4}
                        <li class="page-item disabled"><a class="page-link" href="#" tabindex="-1">...</a></li>
                        {/if}
                        <li class="page-item {if $offset == $numberOfPages-1}disabled{/if}"><a class="page-link" n:href="this $numberOfPages-1">{$numberOfPages-1}</a></li>
                    </ul>
                </nav>

            </div>
        </div>
    </div>
</section>